Name: libvisual
Version: 0.2.0
Release: alt3
Serial: 1
Summary: Libvisual is an abstraction library that comes between applications and audio visualisation plugins
License: LGPL
Group: System/Libraries
Url: http://%name.sourceforge.net/
Source: %name-%version.tar.gz

Patch: libvisual-0.2.0-alt-disable-mmx.patch

Packager: Valery Inozemtsev <shrek@altlinux.ru>

BuildRequires: gcc-c++ pkg-config

%description
Libvisual is an abstraction library that comes between applications and
audio visualisation plugins.

Often when it comes to audio visualisation plugins or programs that
create visuals, they depend on a player or something else; basically,
there is no general framework that enabled application developers to
easily access cool audio visualisation plugins. Libvisual wants to
change this by providing an interface towards plugins and applications;
through this easy to use interface applications can easily access
plugins and, since the drawing is done by the application, it also
enables the developer to draw the visual anywhere he wants.

The framework also allows you to morph to different plugins and mix two
at once; all kinds of neat tricks are possible using this method.

%package devel
Summary: Development environment for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains development files required for building
%name-based software.

%package devel-static
Summary: Static %name library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains development files required for building
statically linked %name-based software.

%def_disable static

%prep
%setup -q

%patch -p1

%build
%__autoreconf
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall

%__install -d %buildroot{%_libdir,%_datadir}/%name 
%__install -d %buildroot%_libdir/%name/{actor,input,morph,transform}

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/*.so.*
%dir %_libdir/%name
%dir %_libdir/%name/actor
%dir %_libdir/%name/input
%dir %_libdir/%name/morph
%dir %_libdir/%name/transform
%dir %_datadir/%name

%files devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Aug 28 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.0-alt3
- fixed #8950

* Mon May 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:0.2.0-alt2
- rebuild with gcc4.1

* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Fri Nov 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.1.7-alt1
- First build for Sisyphus. 
